as.matrix.confusionMatrix {caret} | R Documentation

## Confusion matrix as a table

### Description

Conversion functions for class `confusionMatrix`

### Usage

    ## S3 method for class 'confusionMatrix'
    as.matrix(x, what = "xtabs", ...)

### Arguments

`x` | an object of class `confusionMatrix`
`what` | data to convert to matrix. Either `"xtabs"`, `"overall"` or `"classes"`
`...` | not currently used

### Details

For `as.table`, the cross-tabulations are saved. For `as.matrix`, the three object types are saved in matrix format.

### Value

A matrix or table

### Author(s)

Max Kuhn

### Examples

    ###################
    ## 2 class example

    lvs <- c("normal", "abnormal")
    truth <- factor(rep(lvs, times = c(86, 258)),
                    levels = rev(lvs))
    pred <- factor(
                   c(
                     rep(lvs, times = c(54, 32)),
                     rep(lvs, times = c(27, 231))),
                   levels = rev(lvs))

    xtab <- table(pred, truth)

    results <- confusionMatrix(xtab)
    as.table(results)
    as.matrix(results)
    as.matrix(results, what = "overall")
    as.matrix(results, what = "classes")

    ###################
    ## 3 class example

    xtab <- confusionMatrix(iris$Species, sample(iris$Species))
    as.matrix(xtab)

[Package caret version 6.0-73 Index]